Replace an outstanding invitation with a new invitation link
curl --request POST \
--url https://harness.example.com/admin/invitations/{id}/regenerate \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://harness.example.com/admin/invitations/{id}/regenerate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://harness.example.com/admin/invitations/{id}/regenerate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"role": "admin",
"status": "pending",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"invitation_url": "<string>",
"inviter_email": "jsmith@example.com"
}User management
Replace an outstanding invitation with a new invitation link
Invalidates the prior link immediately, retains its pinned email and role, and renews expiry for 24 hours.
POST
/
admin
/
invitations
/
{id}
/
regenerate
Replace an outstanding invitation with a new invitation link
curl --request POST \
--url https://harness.example.com/admin/invitations/{id}/regenerate \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://harness.example.com/admin/invitations/{id}/regenerate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://harness.example.com/admin/invitations/{id}/regenerate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"role": "admin",
"status": "pending",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"invitation_url": "<string>",
"inviter_email": "jsmith@example.com"
}Authorizations
oauthDevicedashboardSession
OAuth 2.0 access token obtained through RFC 8628 at /api/auth/device/code and /api/auth/oauth2/token. The API enforces governance:read, session:write, and client-status:write as appropriate.
Path Parameters
Response
Replacement invitation issued
Available options:
admin, member Available options:
pending, accepted, canceled, expired 